Kea: isc::dns::SectionIterator< T > Class Template Reference

| Kea 3.2.0-git

isc::dns::SectionIterator< T > Class Template Reference

`SectionIterator` is a templated class to provide standard-compatible iterators for Questions and RRsets for a given DNS message section. More...

`#include <message.h>`

## Public Types
using | difference_type = std::ptrdiff_t
using | iterator_category = std::input_iterator_tag
using | pointer = T*
using | reference = T&
using | value_type = T

## Public Member Functions
| SectionIterator ()
| SectionIterator (const SectionIterator< T > &source)
| SectionIterator (const SectionIteratorImpl< T > &impl)
| ~SectionIterator ()
bool | operator!= (const SectionIterator< T > &other) const
const T & | operator* () const
SectionIterator< T > & | operator++ ()
SectionIterator< T > | operator++ (int)
const T * | operator-> () const
void | operator= (const SectionIterator< T > &source)
bool | operator== (const SectionIterator< T > &other) const

## Detailed Description

template<typename T>
class isc::dns::SectionIterator< T >

`SectionIterator` is a templated class to provide standard-compatible iterators for Questions and RRsets for a given DNS message section.

The template parameter is either `QuestionPtr` (for the question section) or `RRsetPtr` (for the answer, authority, or additional section).

Definition at line 88 of file message.h.

## Member Typedef Documentation

## ◆ difference_type

template<typename T>

using isc::dns::SectionIterator< T >::difference_type = std::ptrdiff_t

Definition at line 93 of file message.h.

## ◆ iterator_category

template<typename T>

using isc::dns::SectionIterator< T >::iterator_category = std::input_iterator_tag

Definition at line 91 of file message.h.

## ◆ pointer

template<typename T>

using isc::dns::SectionIterator< T >::pointer = T*

Definition at line 94 of file message.h.

## ◆ reference

template<typename T>

using isc::dns::SectionIterator< T >::reference = T&

Definition at line 95 of file message.h.

## ◆ value_type

template<typename T>

using isc::dns::SectionIterator< T >::value_type = T

Definition at line 92 of file message.h.

## Constructor & Destructor Documentation

## ◆ SectionIterator() [1/3]

template<typename T>

isc::dns::SectionIterator< T >::SectionIterator | ( |  | ) |
| inline

Definition at line 97 of file message.h.

Referenced by SectionIterator(), operator!=(), operator++(), operator=(), and operator==().

## ◆ SectionIterator() [2/3]

template<typename T>

isc::dns::SectionIterator< T >::SectionIterator | ( | const SectionIteratorImpl< T > & | impl | ) |

Definition at line 1045 of file dns/message.cc.

## ◆ ~SectionIterator()

template<typename T>

isc::dns::SectionIterator< T >::~SectionIterator | ( |  | ) |

Definition at line 1050 of file dns/message.cc.

## ◆ SectionIterator() [3/3]

template<typename T>

isc::dns::SectionIterator< T >::SectionIterator | ( | const SectionIterator< T > & | source | ) |

Definition at line 1055 of file dns/message.cc.

References SectionIterator().

Here is the call graph for this function:

## Member Function Documentation

## ◆ operator!=()

template<typename T>

bool isc::dns::SectionIterator< T >::operator!= | ( | const SectionIterator< T > & | other | ) | const

Definition at line 1106 of file dns/message.cc.

References SectionIterator().

Here is the call graph for this function:

## ◆ operator*()

template<typename T>

const T & isc::dns::SectionIterator< T >::operator* | ( |  | ) | const

Definition at line 1088 of file dns/message.cc.

## ◆ operator++() [1/2]

template<typename T>

SectionIterator< T > & isc::dns::SectionIterator< T >::operator++ | ( |  | ) |

Definition at line 1073 of file dns/message.cc.

## ◆ operator++() [2/2]

template<typename T>

SectionIterator< T > isc::dns::SectionIterator< T >::operator++ | ( | int |  | ) |

Definition at line 1080 of file dns/message.cc.

References SectionIterator().

Here is the call graph for this function:

## ◆ operator->()

template<typename T>

const T * isc::dns::SectionIterator< T >::operator-> | ( |  | ) | const

Definition at line 1094 of file dns/message.cc.

## ◆ operator=()

template<typename T>

void isc::dns::SectionIterator< T >::operator= | ( | const SectionIterator< T > & | source | ) |

Definition at line 1061 of file dns/message.cc.

References SectionIterator().

Here is the call graph for this function:

## ◆ operator==()

template<typename T>

bool isc::dns::SectionIterator< T >::operator== | ( | const SectionIterator< T > & | other | ) | const

Definition at line 1100 of file dns/message.cc.

References SectionIterator().

Here is the call graph for this function:

The documentation for this class was generated from the following files:

- message.h
- dns/message.cc